## vdr-plugin-infosatepg 0.0.11

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IMPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = infosatepg

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g0 -O2 -Wall -Wextra -Woverloaded-virtual -Wno-parentheses

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o global.o setup.o filter.o status.o readline.o process.o

### The main target:

all: libvdr-$(PLUGIN).so i18n 

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.cpp *.h)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs) $(I18Npot)


### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a *.cpp *.h $(TMPDIR)/$(ARCHIVE)
	@cp -a po COPYING HISTORY README Makefile $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so* *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

=== debian/changelog ===
vdr-plugin-infosatepg (0.0.11-10) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:20:04 +0200

vdr-plugin-infosatepg (0.0.11-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:08:42 +0200

vdr-plugin-infosatepg (0.0.11-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:19 +0200

vdr-plugin-infosatepg (0.0.11-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3
  * Added vdr-1.7.26.patch (Closes: #666287)

 -- Tobias Grimm <etobi@debian.org>  Wed, 04 Apr 2012 22:25:37 +0200

vdr-plugin-infosatepg (0.0.11-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:21 +0100

vdr-plugin-infosatepg (0.0.11-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:36 +0100

vdr-plugin-infosatepg (0.0.11-4) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:46 +0200

vdr-plugin-infosatepg (0.0.11-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:34 +0200

vdr-plugin-infosatepg (0.0.11-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Fixed debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:36 +0200

vdr-plugin-infosatepg (0.0.11-1) unstable; urgency=low

  * Initial release (Closes: #627697)
  * add patch for global.cpp to include ctype.h

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 25 May 2011 13:34:47 +0200

=== debian/control ===
Source: vdr-plugin-infosatepg
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28)
Standards-Version: 3.9.3
Homepage: http://projects.vdr-developer.org/projects/show/plg-infosatepg
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-infosatepg.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-infosatepg.git

Package: vdr-plugin-infosatepg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: include TechniSat EPG data via satelite in vdr
 TechniSat has very good EPG data for up to seven days
 under the name Sieh-Fern-Info downloadable via satelite.
 This plugin includes the data into the EPG of vdr.
 See http://www.vdr-wiki.de/wiki/index.php/Infosatepg.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. \
	       LOCALEDIR=usr/share/locale

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_install:
	# NOP

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

## vdr-plugin-infosatepg 0.0.12

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g0 -O2 -Wall -Wextra -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -fPIC -g -O2 -Wall -Wextra -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
-VDRDIR = ../../..
-LIBDIR = ../../lib
-TMPDIR = /tmp
+VDRDIR ?= ../../..
+LIBDIR ?= ../../lib
+TMPDIR ?= /tmp
 
 ### Allow user defined options to overwrite defaults:
 
@@ -96,7 +96,7 @@
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean

=== debian/changelog ===
vdr-plugin-infosatepg (0.0.12-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:09 +0200

vdr-plugin-infosatepg (0.0.12-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:14 +0100

vdr-plugin-infosatepg (0.0.12-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:49:45 +0100

vdr-plugin-infosatepg (0.0.12-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:12:18 +0100

vdr-plugin-infosatepg (0.0.11-11) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 23:06:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28)
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config
 Standards-Version: 3.9.3
 Homepage: http://projects.vdr-developer.org/projects/show/plg-infosatepg
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-infosatepg.git

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. \
-	       LOCALEDIR=usr/share/locale
+MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=usr/share/locale
+CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
 
 %:
 	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://projects.vdr-developer.org/projects/plg-infosatepg/files .*/vdr-infosatepg-(.*)\.tgz
